Bug 2045355 (CVE-2022-0318)

Summary: CVE-2022-0318 vim: Heap-based buffer overflow in utf_head_off() in mbyte.c
Product: [Other] Security Response Reporter: Guilherme de Almeida Suckevicz <gsuckevi>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: bdettelb, caswilli, dhalasz, fhrdina, fjansen, gchamoul, jburrell, jwong, karsten, kaycoth, micjohns, sthirugn, tkasparek, vkrizan, vkumar, vmugicag, zdohnal
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: vim 8.2.4216 Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in vim. The vulnerability occurs due to reading beyond the end of a line in the utf_head_off function, which can lead to a heap buffer overflow. This flaw allows an attacker to input a specially crafted file, leading to a crash or code execution.
Story Points: ---
Clone Of: Environment:
Last Closed: 2022-03-15 16:01:12 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 2045356, 2045564, 2045565, 2045566, 2045574    
Bug Blocks: 2045360    

Description Guilherme de Almeida Suckevicz 2022-01-25 16:29:57 UTC
Heap-based Buffer Overflow in vim/vim prior to 8.2.

Reference:
https://huntr.dev/bounties/0d10ba02-b138-4e68-a284-67f781a62d08

Upstream patch:
https://github.com/vim/vim/commit/57df9e8a9f9ae1aafdde9b86b10ad907627a87dc

Comment 1 Guilherme de Almeida Suckevicz 2022-01-25 16:30:14 UTC
Created vim tracking bugs for this issue:

Affects: fedora-all [bug 2045356]

Comment 4 juneau 2022-01-25 17:31:27 UTC
Marked services affected/delegated. Affected code is present, however impact is moderate and actual occurrence of flaw is unlikely.

Comment 10 errata-xmlrpc 2022-03-15 10:21:01 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:0894 https://access.redhat.com/errata/RHSA-2022:0894

Comment 11 Product Security DevOps Team 2022-03-15 16:01:09 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2022-0318